Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000314KdenliveUser Interfacepublic2008-11-08 01:272010-02-20 08:16
Reportermadsdyd 
Assigned Tomadsdyd 
PrioritylowSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionRecent gitFixed in Version0.7.7 
Summary0000314: Crash when editing text clip properties
DescriptionI get a crash (segfault) when trying to edit a text clip.
Steps To Reproduce- start kdenlive
- add a textclip with some text
- right click textclip, select edit
- change something
- click OK: instant-crash
Additional InformationIt appears that it is this call in mainwindow.cpp:1561 that is the culprit:

            m_activeDocument->commandStack()->push(command);

This somehow, induces a loop in the qt libs, that creates a stack overflow. I will not post the stack, as it is +46000 frames(!). Here is the top:

where
where
#0 0xb6bebb96 in QTextEngine::itemize () from /usr/lib/libQtGui.so.4
#1 0xb6bf0007 in QTextEngine::attributes () from /usr/lib/libQtGui.so.4
0000002 0xb6bf64cc in QTextLine::layout_helper () from /usr/lib/libQtGui.so.4
0000003 0xb6bf7b7f in QTextLine::setLineWidth () from /usr/lib/libQtGui.so.4
0000004 0xb6c7a203 in ?? () from /usr/lib/libQtGui.so.4
0000005 0xb6c7a4dd in ?? () from /usr/lib/libQtGui.so.4
0000006 0xb6c7ca73 in QCommonStyle::sizeFromContents () from /usr/lib/libQtGui.so.4
0000007 0xb7ca207a in KStyle::sizeFromContents () from /usr/lib/kde4/lib/libkdeui.so.5
0000008 0xb53bbd67 in ?? () from /usr/lib/kde4/lib/kde4/plugins/styles/oxygen.so
0000009 0xb6f619f5 in QStyledItemDelegate::sizeHint () from /usr/lib/libQtGui.so.4
0000010 0xb6edbdc5 in ?? () from /usr/lib/libQtGui.so.4
0000011 0xb6edd594 in QListView::updateGeometries () from /usr/lib/libQtGui.so.4

and some bottom:

#46382 0xb6f0bb49 in QItemSelectionModel::selectionChanged () from /usr/lib/libQtGui.so.4
#46383 0xb6f13b5a in QItemSelectionModel::emitSelectionChanged () from /usr/lib/libQtGui.so.4
#46384 0xb6f1413a in QItemSelectionModel::select () from /usr/lib/libQtGui.so.4
#46385 0xb6f10de0 in QItemSelectionModel::select () from /usr/lib/libQtGui.so.4
#46386 0xb6f0c2ca in QItemSelectionModel::setCurrentIndex () from /usr/lib/libQtGui.so.4
#46387 0xb6fd4f54 in ?? () from /usr/lib/libQtGui.so.4
#46388 0xb6fd51fd in ?? () from /usr/lib/libQtGui.so.4
#46389 0xb7473f79 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46390 0xb7474642 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46391 0xb6fe5bf3 in QUndoStack::indexChanged () from /usr/lib/libQtGui.so.4
#46392 0xb6fd3fef in ?? () from /usr/lib/libQtGui.so.4
#46393 0xb6fd451a in QUndoStack::push () from /usr/lib/libQtGui.so.4
#46394 0x080b80e8 in MainWindow::slotShowClipProperties (this=0x83488d0, clip=0x8ab85e8) at /scratch/Svn/kdenlive/src/mainwindow.cpp:1561
#46395 0x080c6a95 in MainWindow::qt_metacall (this=0x83488d0, _c=QMetaObject::InvokeMetaMethod, _id=50, _a=0xbf8f6a70) at /scratch/Svn/kdenlive/src/cmake_bindir/mainwindow.moc:248
#46396 0xb7473f79 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46397 0xb7474642 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46398 0x080d4098 in ProjectList::showClipProperties (this=0x836ef20, _t1=0x8ab85e8) at /scratch/Svn/kdenlive/src/cmake_bindir/projectlist.moc:202
#46399 0x080d4bfc in ProjectList::slotEditClip (this=0x836ef20) at /scratch/Svn/kdenlive/src/projectlist.cpp:142
#46400 0x080d8b57 in ProjectList::qt_metacall (this=0x836ef20, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbf8f6bec) at /scratch/Svn/kdenlive/src/cmake_bindir/projectlist.moc:158
#46401 0xb7473f79 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46402 0xb74743b0 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#46403 0xb69ef151 in QAction::triggered () from /usr/lib/libQtGui.so.4
#46404 0xb69efb2f in QAction::activate () from /usr/lib/libQtGui.so.4
#46405 0xb6dd14c1 in ?? () from /usr/lib/libQtGui.so.4
#46406 0xb6dd3d24 in QMenu::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
#46407 0xb6a4dd44 in QWidget::event () from /usr/lib/libQtGui.so.4
#46408 0xb6dcee45 in QMenu::event () from /usr/lib/libQtGui.so.4
#46409 0xb69f5f9c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#46410 0xb69fb125 in QApplication::notify () from /usr/lib/libQtGui.so.4
#46411 0xb7c95483 in KApplication::notify () from /usr/lib/kde4/lib/libkdeui.so.5
#46412 0xb745f0b9 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#46413 0xb69f8661 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
#46414 0xb6a6276c in ?? () from /usr/lib/libQtGui.so.4
#46415 0xb6a60ee1 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#46416 0xb6a89c2a in ?? () from /usr/lib/libQtGui.so.4
#46417 0xb5a01cc6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#46418 0xb5a05083 in ?? () from /usr/lib/libglib-2.0.so.0
#46419 0xb5a0563e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#46420 0xb748a9f8 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#46421 0xb6a89a25 in ?? () from /usr/lib/libQtGui.so.4
#46422 0xb745e33d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#46423 0xb745e4cd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#46424 0xb746074d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#46425 0xb69f5897 in QApplication::exec () from /usr/lib/libQtGui.so.4
#46426 0x080b6351 in main (argc=1, argv=0xbf8f7bc4) at /scratch/Svn/kdenlive/src/main.cpp:77

I think the loop starts somewhere in

void ProjectList::slotUpdateClipProperties(const QString &id, QMap <QString, QString> properties)

but I am too tired to debug more now. I would really like for someone to confirm this issue, or perhaps not. Here is the versions, as I think they may matter. I might try to pinpoint where it went wrong tomorrow:

Kdenlive Builder Wizard version: 0.6.1
ffmpeg: Revision: 15786 Last Changed Date: 2008-11-07 08:18:22 +0100 (fre, 07 nov 2008)
mlt: Revision: 1224 Last Changed Date: 2008-11-07 19:06:27 +0100 (fre, 07 nov 2008)
mlt++: Revision: 1224 Last Changed Date: 2008-11-06 06:32:23 +0100 (tor, 06 nov 2008)
kdenlive: Revision: 2635 Last Changed Date: 2008-11-07 10:41:27 +0100 (fre, 07 nov 2008)
Qt: 4.4.1
KDE: 4.1.2 (KDE 4.1.2)
Kdenlive: 0.7

Oh, and I have marked this for 0.7.0: if it is a true issue, it needs to be fixed for 0.7.0 IMHO - can't have kdenlive crash when trying to edit a textclip, really.
TagsNo tags attached.
Build/Install Method
Attached Filesjpg file icon issue-314-rev2636.jpg [^] (96,137 bytes) 2008-11-08 18:26

- Relationships

-  Notes
(0000866)
xzhayon (developer)
2008-11-08 02:26

no problem here, works fine with double click and "edit clip" menu (tested over some video, obviously)...
(0000867)
cinephiliac (updater)
2008-11-08 04:15

Not seeing it here either. I tried both the right click and double click methods. Using r2624.

Maybe you're just going mad(s)? ;-)
(0000871)
madsdyd (administrator)
2008-11-08 09:54

Hehe. Perhaps I am.

Could you perhaps post your qt and kde versions?
(0000875)
madsdyd (administrator)
2008-11-08 11:36

OK, I just did a clean install on a clean kubuntu 8.10, with Qt 4.4.3, and I can _not_ reproduce this.

I would be interessted in getting someone with Qt: 4.4.1 to reproduce/not reproduce, so I am leaving this issue open just a little bit longer.
(0000876)
xzhayon (developer)
2008-11-08 13:05

Qt: 4.4.2
KDE: 4.1.2 (KDE 4.1.2)

i cannot install qt 4.4.1, sorry, it would mean recompile everything...
(0000877)
gmarco (reporter)
2008-11-08 14:05

i tested it on a kubuntu, KDE 4.1.2 Qt 4.4.1 and can also not reproduce this.

But i know there was a time ago the same issue in projectlistview with any type of item.

The Problem seems to come from the resize event of the Listview, (Scrollbar on/off and this causes a resize in a loop, sometimes.)

the best would be to test this in different size of the projectlistview, to produce such an resize loop (but i was not able to find such one now)
(0000882)
madsdyd (administrator)
2008-11-08 17:19

gmarco: that is very interessting, because I have actually moved my docks around quite a bit. So, perhaps this is the key to the crash - perhaps in combination with the qt version.

Do you recall more about this issue? Was there a bug report about it? Anything else?

I found this: http://lists.trolltech.com/qt-interest/2007-09/thread00211-0.html [^]
( search for frown) - could it be related?

I am going to look a bit more into it, but based on the feedback I feel confident that this does not have to be fixed for 0.7.0

...

I now moved my docks back to the "default" position, and am no longer able to reproduce this crash!

So, a guess is that it is a combination of resize events and dock's interactions, that loops.
(0000883)
madsdyd (administrator)
2008-11-08 17:20

Moved to 0.7.1 - problem requires non-standard dock positions and a bit of luck to reproduce.
(0000884)
cinephiliac (updater)
2008-11-08 17:52

Could you show a screen capture how you had your docks when it was crashing? Then we could see if it was reproducable with the same layout. I have KDE 4.1.3 and I think I *might* have QT 4.4.3 but I'm not sure if I checked in the right way (I just did an apt-cache show qt4-doc).

PS I just realized how many years ago that joke must have worn thin. Thank you for not deleting all my bug reports and altering the KBW to wipe my hard drives (yet)...
(0000890)
madsdyd (administrator)
2008-11-08 18:29

Just attached screenshot.

You can actually run kde4-config to get your version info on these.

Re the joke: Its actually been 20 years since someone made that joke last - and that was actually because on a semi-official document someone mispelled my name (guess which letter was missing), so I had a chuckle when you made it :-)
(0000949)
cinephiliac (updater)
2008-11-09 07:09

*phew!* I guess my hard drive lives to see another update... to:

Kdenlive Builder Wizard version: 0.6.1
ffmpeg: Revision: 15796 Last Changed Date: 2008-11-08 14:47:10 -0500 (Sat, 08 Nov 2008)
mlt: Revision: 1231 Last Changed Date: 2008-11-08 18:16:11 -0500 (Sat, 08 Nov 2008)
mlt++: Revision: 1231 Last Changed Date: 2008-11-06 00:32:23 -0500 (Thu, 06 Nov 2008)
kdenlive: Revision: 2636 Last Changed Date: 2008-11-08 09:03:51 -0500 (Sat, 08 Nov 2008)
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)
(0000955)
cinephiliac (updater)
2008-11-09 10:54

Nope.

Even copying your layout I still can't reproduce this on:

Kdenlive Builder Wizard version: 0.6.1
ffmpeg: Revision: 15796 Last Changed Date: 2008-11-08 14:47:10 -0500 (Sat, 08 Nov 2008)
mlt: Revision: 1232 Last Changed Date: 2008-11-09 00:30:39 -0500 (Sun, 09 Nov 2008)
mlt++: Revision: 1232 Last Changed Date: 2008-11-06 00:32:23 -0500 (Thu, 06 Nov 2008)
kdenlive: Revision: 2637 Last Changed Date: 2008-11-08 19:32:25 -0500 (Sat, 08 Nov 2008)
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)

Everything seems to work just fine.
(0000958)
madsdyd (administrator)
2008-11-09 11:12

OK, this is very hard to reproduce, but I think I can on my #1 machine. However, I am unable to reproduce on my 0000002 machine, that uses a newer version of Qt.

I am changing this to be in the feedback status, but it may die a death of old age, and unless someone can reproduce, do not bother working on this: I will try to, at some future point, to dive deeper into this, but much more pressing stuff is on the radar now, so I am downgrading this to a low priority.
(0004026)
j-b-m (administrator)
2009-09-28 12:01

Not reproduced since 1 year, so I guess I can close it

- Issue History
Date Modified Username Field Change
2008-11-08 01:27 madsdyd New Issue
2008-11-08 02:26 xzhayon Note Added: 0000866
2008-11-08 04:15 cinephiliac Note Added: 0000867
2008-11-08 09:54 madsdyd Note Added: 0000871
2008-11-08 11:36 madsdyd Note Added: 0000875
2008-11-08 13:05 xzhayon Note Added: 0000876
2008-11-08 14:05 gmarco Note Added: 0000877
2008-11-08 17:19 madsdyd Note Added: 0000882
2008-11-08 17:20 madsdyd Note Added: 0000883
2008-11-08 17:20 madsdyd Reproducibility always => sometimes
2008-11-08 17:20 madsdyd Target Version 0.7.0 => 0.7.1
2008-11-08 17:52 cinephiliac Note Added: 0000884
2008-11-08 18:26 madsdyd File Added: issue-314-rev2636.jpg
2008-11-08 18:29 madsdyd Note Added: 0000890
2008-11-09 07:09 cinephiliac Note Added: 0000949
2008-11-09 10:54 cinephiliac Note Added: 0000955
2008-11-09 11:12 madsdyd Note Added: 0000958
2008-11-09 11:12 madsdyd Priority high => low
2008-11-09 11:12 madsdyd Reproducibility sometimes => random
2008-11-09 11:13 madsdyd Assigned To => madsdyd
2008-11-09 11:13 madsdyd Status new => feedback
2008-11-12 22:40 madsdyd Target Version 0.7.1 => Recent git
2009-09-28 12:01 j-b-m Note Added: 0004026
2009-09-28 12:01 j-b-m Status feedback => resolved
2009-09-28 12:01 j-b-m Resolution open => fixed
2009-10-08 20:21 j-b-m Fixed in Version => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker